lsngroup_lsntransportprofile_binding
Binding object showing the lsntransportprofile that can be bound to lsngroup.
Properties
(click to see Operations )
| Name | Data Type | Permissions | Description |
|---|---|---|---|
| transportprofilename | <String> | Read-write | Name of the LSN transport profile to bind to the specified LSN group. Bind a profile for each protocol for which you want to specify settings. |
By default, one LSN transport profile with default settings for TCP, UDP, and ICMP protocols is bound to an LSN group during its creation. This profile is called a default transport.
An LSN transport profile that you bind to an LSN group overrides the default LSN transport profile for that protocol.
Minimum length = 1
Maximum length = 127
Operations
(click to see Properties )
- ADD
- DELETE
- GET
- GET (ALL)
- COUNT
Some options that you can use for each operations:
-
Getting warnings in response: NITRO allows you to get warnings in an operation by specifying the 'warning' query parameter as 'yes'. For example, to get warnings while connecting to the NetScaler appliance, the URL is as follows:http:// <netscaler-ip-address> /nitro/v1/config/login?warning=yesIf any, the warnings are displayed in the response payload with the HTTP code '209 X-NITRO-WARNING'.
-
Authenticated access for individual NITRO operations: NITRO allows you to logon to the NetScaler appliance to perform individual operations. You can use this option instead of creating a NITRO session (using the login object) and then using that session to perform all operations,To do this, you must specify the username and password in the request header of the NITRO request as follows:X-NITRO-USER: <username>X-NITRO-PASS: <password>Note: In such cases, make sure that the request header DOES not include the following:Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
*Note: * Mandatory parameters are marked in red and placeholder content is marked in green
add
URL: http:// <netscaler-ip-address /nitro/v1/config/lsngroup_lsntransportprofile_binding HTTP Method: PUT
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{
"lsngroup_lsntransportprofile_binding":{
<b>"groupname":<String_value>,
</b>"transportprofilename":<String_value>
}}
Response: HTTP Status Code on Success: 201 Created
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
delete
URL: http:// <netscaler-ip-address> /nitro/v1/config/lsngroup_lsntransportprofile_binding/ groupname_value<String> Query-parameters: args http:// <netscaler-ip-address> /nitro/v1/config/lsngroup_lsntransportprofile_binding/ groupname_value<String> ? args=transportprofilename: <String_value>
HTTP Method: DELETE
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
get
URL: http:// <netscaler-ip-address> /nitro/v1/config/lsngroup_lsntransportprofile_binding/ groupname_value<String> Query-parameters: filter http:// <netscaler-ip-address> /nitro/v1/config/lsngroup_lsntransportprofile_binding/ groupname_value<String> ? filter=property-name1:property-value1,property-name2:property-value2
Use this query-parameter to get the filtered set of lsngroup_lsntransportprofile_binding resources configured on NetScaler.Filtering can be done on any of the properties of the resource.
pagination http:// <netscaler-ip-address> /nitro/v1/config/lsngroup_lsntransportprofile_binding/ groupname_value<String> ? pagesize=#no;pageno=#no
Use this query-parameter to get the lsngroup_lsntransportprofile_binding resources in chunks.
HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{ "lsngroup_lsntransportprofile_binding": [ {
"transportprofilename":<String_value>,
"groupname":<String_value>
}]}
get (all)
URL: http:// <netscaler-ip-address> /nitro/v1/config/lsngroup_lsntransportprofile_binding HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Query-parameters: bulkbindings http:// <netscaler-ip-address> /nitro/v1/config/lsngroup_lsntransportprofile_binding? bulkbindings=yes
NITRO allows you to fetch bindings in bulk.
Note: get (all) method can be used only in conjuction with bulkbindings query parameter.
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{ "lsngroup_lsntransportprofile_binding": [ {
"transportprofilename":<String_value>,
"groupname":<String_value>
}]}
count
URL: http:// <netscaler-ip-address> /nitro/v1/config/lsngroup_lsntransportprofile_binding/ groupname_value<String> ? count=yes HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{"lsngroup_lsntransportprofile_binding": [ { "__count": "#no"} ] }